The serial number object

Returned by POST /serial_numbers with variant_id, GET /serial_numbers with variant_id or ids, GET /serial_numbers/{id} and PATCH /serial_numbers/{id}.

AttributeDescription
idUnique identifier for the serial number. Use it as serial_number_id in the traceability of documents.
variant_idID of the serial-tracked product or material variant the serial number belongs to.
serial_numberThe code of the serial number. Uppercase letters, digits and the characters -, _ and /, at most 32 characters.
expiration_dateThe expiration date of the serial number, or null. ISO 8601 format with time and timezone.
created_atThe timestamp when the serial number was created.
updated_atThe timestamp when the serial number was last updated.

The serial number transaction object (deprecated)

❗

Deprecated. This shape is returned only by the deprecated resource calls: GET /serial_numbers with resource_type and resource_id, and POST /serial_numbers with resource_type. They will be removed in May 2027. Read the serial numbers of a document from its traceability instead.

AttributeDescription
idUnique identifier for the serial number.
transaction_idUnique identifier for the transaction object.
serial_numberThe code of the serial number.
resource_typeResource type that the serial number transaction is attached to.
resource_idUnique identifier for the resource.
transaction_dateThe timestamp when the transaction was created.
quantity_changeItem transaction's quantity change, 1 indicates increase of the item in stocks, -1 indicates decrease of the item in stocks